# PFX
PFX or Python-Effects is a PyPI Package which helps in Standard Imaging Techniques.

## How to download :
Enter either of the pip commands on your console to install it.

`pip install PFX`  **or**  `pip install pfx`


## How to use
PFX can apply various effects to a given image

> **The result will be saved in the same file path, a prompt will also be shown as to where the file is saved!**

Following commands can be used:

#### 1. To convert an image into black and white :
```
pfx -bg "filepath.png"
```
**or**
```
pfx -black_white "filepath.png"
```

#### 2. To pixelate the given image :
```
pfx -p "filepath.png"
```
**or**
```
pfx -pixelate "filepath.png"
```
#### 3. To blur the given image :
```
pfx -b "filepath.png"
```
**or**
```
pfx -blur "filepath.png"
```
#### 4. To blur the given image's edges :
```
pfx -be "filepath.png"
```
**or**
```
pfx -bluredge "filepath.png"
```
#### 5. To create a thumbnail of the given image :
```
pfx -tn "filepath.png"
```
**or**
```
pfx -thumbnail "filepath.png"
```
#### 6. To create a PDF of the given image :
```
pfx -pdf "filepath.png"
```
**or**
```
pfx -makepdf "filepath.png"
```
## TL;DR 
Just execute the following snippet if you have an IQ level above average :
```
pfx -h
```
Then figure it out yourself!
## Any Issues:
- This is the first draft of the PYPI package.

- This is prone to bugs. Let me know if any issues come up.

- PFX is a dumb name, waiting for the real name's ownership to clear up.
## More imaging effects arriving soon...
- Feel free to share any open ideas!
